Skip to main content
GET
/
api
/
v1
/
targets
/
timestamp
/
batch
Batch prices for multiple assets
curl --request GET \
  --url https://api.vatic.trading/api/v1/targets/timestamp/batch
import requests

url = "https://api.vatic.trading/api/v1/targets/timestamp/batch"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.vatic.trading/api/v1/targets/timestamp/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "now": "2025-04-07T12:00:00.000Z",
  "marketType": "5min",
  "provider": "chainlink",
  "requestedTimestamp": 1744027500,
  "requestedTimestampIso": "2025-04-07T12:05:00.000Z",
  "results": [
    {
      "asset": "btc",
      "ok": true,
      "source": "chainlink",
      "price": 82450.75
    },
    {
      "asset": "eth",
      "ok": true,
      "source": "chainlink",
      "price": 1610.3
    }
  ]
}

Query Parameters

assets
string
required

Comma-separated list of asset symbols.

Example:

"btc,eth,sol"

type
enum<string>
required
Available options:
5min,
15min,
1hour,
4hour,
daily
timestamp
integer
required
Example:

1744027500

Response

Prices per asset